#
# spec file for package perl-Math-Pari
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname	Math-Pari
Name:           perl-%{modname}
Version:        2.010808
Release:        1.1
Summary:        Perl interface to PARI
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
BuildRequires:  perl
BuildRequires:  perl-macros
Url:            http://search.cpan.org/dist/Math-Pari/
Source:         http://www.cpan.org/authors/id/I/IL/ILYAZ/modules/%{modname}-%{version}.zip
Source1:        pari-2.1.7.tar.bz2
Patch1:         pari-2.1.7.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  unzip
%{perl_requires}

%description
This package is a Perl interface to famous library PARI for
numerical/scientific/number-theoretic calculations. It allows use of most PARI
functions as Perl functions, and (almost) seamless merging of PARI and Perl
data.

%prep
%setup -q -n %{modname}-%{version} -a 1
find . -type f -print0 | xargs -0 chmod 644
%patch1 -p0

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
# 1 test fails. It's a known bug and I really don't care
#make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes TODO
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math

%changelog
* Sat Jan  2 2016 opensuse@dstoecker.de
- update to 2.010808
* Wed Jun  8 2011 coolo@novell.com
- updated to 2.01080605
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Sep 12 2006 jfunk@funktronics.ca
- Initial release
